Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.io
Class FileSequenceOutput

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
                              |
                              +--uk.ac.man.bioinf.apps.cinema.io.AbstractSequenceOutput
                                    |
                                    +--uk.ac.man.bioinf.apps.cinema.io.FileSequenceOutput

All Implemented Interfaces:
  AlignmentEventProvider, CinemaActionProvider

public class FileSequenceOutput
extends AbstractSequenceOutput

FileSequenceOutput is a module that covers sequence output to a file from Cinema. It extends the abstract sequence output module that provides the basics of any sequence output from Cinema. Created: Mon Jul 31 22:18:18 2000

Version:
  $Id: FileSequenceOutput.java,v 1.7 2001/05/29 13:01:31 lord Exp $
Author:
  Julian Selley

Field Summary

Fields inherited from class uk.ac.man.bioinf.apps.cinema.io.AbstractSequenceOutput
`eh`

Constructor Summary
`FileSequenceOutput()`

Method Summary
`String` | `getVersion()` Returns the version of this module.
`void` | `saveAlignment(SequenceAlignment sa)`
`void` | `saveAlignmentAs(SequenceAlignment sa)`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.io.AbstractSequenceOutput
`getActions, getAvailableParsers, getExceptionHandler, getParser, getParserDescription, getRequiredIdentifiers, load, setExceptionHandler`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaGuiModule
`destroy, getAlignmentFrame, getFrame, getJMenuBar, getRowHeaders, getRuler, getRulerPanel, getScrollPane, getStatusBar, getViewer, setFrameTitle`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSequenceOutput

    public FileSequenceOutput()

Method Detail

### saveAlignment

    public void saveAlignment(SequenceAlignment sa)

  Specified by:
    `saveAlignment` in class `AbstractSequenceOutput`

### saveAlignmentAs

    public void saveAlignmentAs(SequenceAlignment sa)

  Specified by:
    `saveAlignmentAs` in class `AbstractSequenceOutput`

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD